### Method

# ECal ComponentBag remove

since: 3.58

#### Declaration [src]

    void
    e_cal_component_bag_remove (
      ECalComponentBag* self,
      ECalClient* client,
      const gchar* uid,
      const gchar* rid
    )

#### Description [src]

Removes a component from the bag. The function does nothing when the component is not part of the bag.

Available since: 3.58

#### Parameters

`client`

  Type: `ECalClient`

  An `ECalClient`.

  The data is owned by the caller of the method.

`uid`

  Type: `const gchar*`

  A unique identifier of the component to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  A recurrence ID of an instance, or `NULL` to remove all instances.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.